# Poco::Net

# class QuotedPrintableDecoderIOS

Library: Net
Package: Messages
Header: Poco/Net/QuotedPrintableDecoder.h

## Description

The base class for QuotedPrintableDecoder.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: QuotedPrintableDecoder

## Member Summary

Member Functions: rdbuf

## Constructors

### QuotedPrintableDecoderIOS

QuotedPrintableDecoderIOS(
std::istream & istr
);

## Destructor

### ~QuotedPrintableDecoderIOS

~QuotedPrintableDecoderIOS();

## Member Functions

### rdbuf

QuotedPrintableDecoderBuf * rdbuf();

## Variables

### _buf

QuotedPrintableDecoderBuf _buf;